openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Marcus (OOo)" <marcus.m...@wtnet.de>
Subject Re: switch trunk from Mac 32bit to 64bit
Date Thu, 30 Jan 2014 21:52:21 GMT
Am 01/30/2014 08:38 AM, schrieb Oliver-Rainer Wittmann:
> Hi Markus,
>
> below you find the output of my iMac running Mac OS X 10.7

thanks for the 10.7 data. At least here I can do some scripting changes.

>  From my point of view it should be assured that Mac users running Mac
> OS X 10.6 or earlier are _not_ directed to a download of AOO 4.1.
> Instead they should be directed to AOO 4.0.1 together with a note saying
> that AOO 4.1 needs Mac OS X version 10.7 or later.

This depends on when 4.0.1 will be available in the archive. So, let's 
see what will be possible.

Nevetheless, as I don't know if older and newer browsers than 10.7 
identifying itself in the same way, I need more data.

@Oliver: Can you help me here, too?

Thanks

Marcus



> On 28.01.2014 23:24, Marcus (OOo) wrote:
>> Am 12/20/2013 02:47 PM, schrieb Herbert Duerr:
>>> On 19.12.2013 17:58, jan i wrote:
>>>> On 19 December 2013 17:29, Herbert Duerr <hdu_ooo@alice.de> wrote:
>>>>
>>>>> The new Mac port looks quite good. I uploaded a current version to my
>>>>> page
>>>>> [1]. Jürgen already mentioned it will only work for OSX 10.7 and up.
>>>>> It is
>>>>> based on todays trunk, which already contains a lot of fixes and
>>>>> enhancements compared to our latest release. For details you can
>>>>> have a
>>>>> look at our progress tracking page [2].
>>>>>
>>>>> [1] http://people.apache.org/~hdu/
>>>>> [2] http://people.apache.org/~hdu/izlist9.htm
>>>>>
>>>>> In the early days of next year I plan to update our trunk so the new
>>>>> port
>>>>> becomes active. To build it yourself you'll need XCode4 then. XCode4
>>>>> comes
>>>>> with the 10.7 SDK.
>>>>>
>>>> +1 the wiki "build instructions" should also be updated.
>>>
>>> +1
>>>
>>>> Do we also need to update information on the download page (e.g.
>>>> that we
>>>> only support OSX 10.7 and up) ?
>>>
>>> As Jürgen already mentioned the installation files are already
>>> protected. We should also update the release notes, etc.
>>>
>>> If it is possible to know the OS version from e.g. the browser's User
>>> Agent then we should update the download page too. Maybe we already have
>>> such a mechanism. Does anyone happen to have OSX 10.3 or earlier? What
>>> happens when you go to the OpenOffice download page?
>>
>> Good point.
>>
>> Can someone help me and test the download webpage with different OSX
>> versions? I need the user agent text fromthe used browsers (Firefox and
>> Safari).
>>
>> Or better, please use this webpage and send me the raw data from the
>> table:
>>
>> http://www.openoffice.org/download/test/analyze.html
>>
>> If there is a way to recognize the differences, then I can build
>> something around the scripting.
>>
>> Otherwise I would suggest a general hint text when OSX in general was
>> detected.
>>
>> Marcus

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
For additional commands, e-mail: dev-help@openoffice.apache.org


Mime
View raw message